v 0.1.6
---------------------------------------------------------------------------

Kipi-plugins BUG FIXING from B.K.O (http://bugs.kde.org):

001 ==> 162687 : FlickrExport       : Make Flickr Export screen non-modal.
002 ==> 162683 : FlickrExport       : Export to picassaweb doesn't works.
003 ==> 164152 : FlickrExport       : Geotagging when exporting to Flickr.
004 ==> 166712 : PrintWizard        : Choosing the part which is cut off for printing only works for the first photo.
005 ==> 162994 : PicasaWebExport    : Picasa album list does not contain "not listed" albums, contains only "public" albums.
006 ==> 150912 : PicasaWebExport    : Uploader does not upload.
007 ==> 164908 : PicasaWebExport    : Private albums are not listed (and then not usable).
008 ==> 150979 : PicasaWebExport    : Picasa Export-Plugins does not work.

v 0.1.6 - beta1
---------------------------------------------------------------------------

Kipi-plugins NEW FEATURES:

FlickrExport   : dialog layout re-written to be more suitable.
FlickrExport   : list of item to upload is now display in dialog.
FlickrExport   : Support RAW files format to upload as JPEG preview.
PicasaWebExport: Support RAW files format to upload as JPEG preview.

Kipi-plugins BUG FIXING from B.K.O (http://bugs.kde.org):

001 ==> 149890 : TimeAdjust         : Adjust date and time from Exif does not work.
002 ==> 154273 : RAWConverter       : Quality setting for jpegs saved by raw converter is insanely high.
003 ==> 157190 : GPSSync            : Misleading description for geotagging images.
004 ==> 154289 : FlickrExport       : Cannot upload RAW images.
005 ==> 153758 : FlickrExport       : FlickrUploader fails to upload photos whose caption contains 
                                      accented characters or a trailing space.
006 ==> 128211 : FlickrExport       : "Ok" Button in "Add Photos" shouldn't fire upload directly.
007 ==> 159081 : FlickrExport       : Upload to Flickr not working.
008 ==> 162096 : FlickrExport       : When selecting all photos reverses the order.
009 ==> 158483 : PicasaWebExport    : Plugin cause Digikam crash.
010 ==> 160453 : PicasaWebExport    : Crashes when exporting to Picasaweb.
011 ==> 155270 : FlickrExport       : Tags with non-Latin characters dropped during image export.
012 ==> 153207 : FlickrExport       : Without using application tags: Flickr still reads embedded metadata into tags.
013 ==> 153206 : FlickrExport       : Provide option to remove spaces in tags during export.
014 ==> 145149 : FlickrExport       : Flickr uploading from DigiKam does not cache auth data.

v 0.1.5
---------------------------------------------------------------------------

Kipi-plugins NEW FEATURES:

SimpleViewerExport : plugin is now compatible with SimpleViewer version 1.8.x.
SimpleViewerExport : plugin now support RAW files format.

Kipi-plugins BUG FIXING from B.K.O (http://bugs.kde.org):

001 ==> 155231 : GPSSync            : Timezones are assumed to be only in hourly increments/decrements of GMT.
002 ==> 154849 : GPSSync            : Updates first find only, does not match other than GMT camera time.
003 ==> 144070 : GPSSync            : Typing coordinates doesn't update the map.
004 ==> 152526 : GPSSync            : Remember last display options like zoom and map/sattelite/hybrid view.
005 ==> 158176 : SlideShow          : Linking errors in slideshow plugin (missing -lXrandr).
006 ==> 150393 : SimpleViewerExport : XML file is corrupted if exif comment contains a "<".
007 ==> 134774 : SimpleViewerExport : Exported simpleviewer gallery fails to load images due to wrong xml file name.

v 0.1.5 - RC2
---------------------------------------------------------------------------

Kipi-plugins NEW FEATURES:

PrintWizard    : caption can contain more exif info 

Kipi-plugins BUG FIXING from B.K.O (http://bugs.kde.org):

001 ==> 151578 : BatchProcess : Popup window says "Cannot run properly 'convert' program 
                                from 'ImageMagick' package" but it seems fine. (really fixed)
002 ==> 155084 : PrintWizard  : Printing comments and EXIF tags.
003 ==> 155371 : GPSSync      : Add search feature to the embedded GPS Sync Google Maps based editor.
004 ==> 102021 : SlideShow    : Pan and Zoom on Slideshow viewing (not a transition) a la iPhoto

v 0.1.5 - RC1
---------------------------------------------------------------------------

Kipi-plugins NEW FEATURES:

General        : Added the availability to disable plugins we don't want to build.
               : This feature is very useful for source based distros (Matej Laitl)
PrintWizard    : Added raw file management, now raw files can be printed.
SlideShow      : Solved minor issue in filename printing (2D slideshow).
SlideShow      : New caching mechanism
SlideShow      : Added Ken Burns effect
Calendar       : Fixed recurring events not showing (only first date was showed)
                 Setting special events only once (before printing), instead of
                 one for every page

Kipi-plugins BUG FIXING from B.K.O (http://bugs.kde.org):

001 ==> 149666 : General      : iPod Export kipi plugin cannot be disabled at compile 
                                time when libgpod is present on system.
002 ==> 151604 : PrintWizard  : Print Wizard does not recognize raw images.
003 ==> 102021 : SlideShow    : Pan and Zoom on Slideshow viewing (not a transition) 
                                a la iPhoto.
004 ==> 151578 : BatchProcess : Popup window says "Cannot run properly 'convert' program 
                                from 'ImageMagick' package" but it seems fine.
005 ==> 152210 : BatchProcess : Metadata lost when converting from png to jpeg (IPTC 
                                thumbnail too big).
006 ==> 152215 : GPSSync      : GPS correlator starts too many tdeio_thumbnail processes.
007 ==> 149491 : GPSSync      : GPS correlator GPSSYNC do_not admit GMT+5h30 (India).
008 ==> 150114 : GPSSync      : Max time gap is limited to 999 or 2000 seconds.
009 ==> 154244 : ImageViewer  : SHIFT triggers help dialog.

v 0.1.5 - Beta1
----------------------------------------------------------------------------

Kipi-plugins NEW FEATURES:

General        : Added configure options to allow disabling plugins (--disable-XXXX)
                 provided by Matej Laitl (bug #149666)

PrintWizard    : Wizard GUI review
                 Added exif management.
                 Prints exif date-time info.
                 Font, color and size of captions.
                 Added an option to to print without margins (full-bleed).
                 Added 10x13.33cm into a4 (provided by Joerg Kuehne)
                 Added full size A4 printing (one photo per A4 page)
                 Added A6 size to get the old configuration for 10x15cm page
                 Changed page size to real 10x15cm instead of A6 (need to set up right page size on kprinter)
                 Added a new page size 13x18cm (need to set up right page size on kprinter)
                 Each photo can be printed more than once
PicasaWebExport: New plugin to export pictures to Picasa web service (by Vardhman Jain).
SlideShow      : Dropped imlib2 dependency

Kipi-plugins BUG FIXING from B.K.O (http://bugs.kde.org):

001 ==> 133193 : PrintWizard  : Data on the photo.
002 ==> 111454 : PrintWizard  : Print photo's date into one corner like print assistant.
003 ==> 146457 : PrintWizard  : Rotation is not done correctly Exif.
004 ==> 138838 : NewPlugin    : Digikam Picasaweb export plugin.
005 ==> 103152 : PrintWizard  : Improvement suggestions for printing wizard.
006 ==> 117085 : PrintWizard  : Have pictures fit a whole, single sheet.
007 ==> 100471 : PrintWizard  : Can't print the same image more than once on the same page.
008 ==> 148621 : JPEGLossLess : Image rotation not working properly.
009 ==> 144388 : JPEGLOssLess : Cache is not updated after rotating pictures.
010 ==> 144604 : JPEGLossLess : Rotation causes Exif data corruption.
011 ==> 150063 : JPEGLossLess : Rotating JPEG produces error and truncates original file.

v 0.1.4
----------------------------------------------------------------------------

Note on release: 
Due to missing files on svn, docbook "pt" and "da" have been removed form this 
final release, apologize for that.

v 0.1.4 beta2
----------------------------------------------------------------------------

Kipi-plugins NEW FEATURES:

HTMLExport     : Option to specify whether the original images should be included
HTMLExport     : Support for theme variants
HTMLExport     : New theme: "frames", by Rüdiger Bente
HTMLExport     : New theme: "cleanframes", by Beth and Robert Marmorstein
HTMLExport     : New theme: "classic", simulating the output of the old HTML Gallery plugin
SlideShow      : Skip to next or previous image by a right or left click
SlideShow      : Skip to next or previous image by mouse wheel scrolling
SlideShow      : Images can be sorted/added/removed manually.
SlideShow      : Progress indicator printing doesn't depend on file name printing anymore.

Kipi-plugins BUG FIXING from B.K.O (http://bugs.kde.org):

001 ==> 140477 : SendImages   : Ability to rename images being sent via email.
002 ==> 143450 : SlideShow    : Skip to next or previous image by a right or left click
003 ==> 138880 : TimeAdjust   : digiKam 0.9rc2 - 0.9.1rc1 setting file date to exif doesn't work.
004 ==> 140890 : TimeAdjust   : The preview does not display date and time properly for Japanese locale.
005 ==> 144185 : TimeAdjust   : Adjust date-time tool should remember previous fixed date.
006 ==> 146799 : SlideShow    : digikam 0.9.2 crashes when exiting - slideshow error

v 0.1.4 beta1 
----------------------------------------------------------------------------

Kipi-plugins NEW FEATURES:

General        : Moved Exiv2Iface class to a new shared library named libkexiv2 used by 
                 kipi-plugins and digiKam.
ImageViewer    : initial import of new OpenGL based image viewer.
RAWConverter   : Port plugin to libkdcraw shared library.
Printwizard    : Printwizard can print 8 photos per page (A4)
MPEGEncoder    : Avoid to pass img2mpg script unmanaged file path.
GPSSync        : New plugin to export GPS locations from pictures to Google Maps / Google Earth.

Kipi-plugins BUG FIXING from B.K.O (http://bugs.kde.org):

001 ==> 139264 : General      : Prefer Exif DateTimeOriginal for image date/time (DateTimeDigitized and DateTime only used as fallback)
002 ==> 139074 : SendImages   : Format missmatch at sendimages.cpp ('int' vs. 'size_t').
003 ==> 140132 : MetadataEdit : Comments should sync to IPTC Caption First.
006 ==> 138241 : SendImages   : A patch that adds support for the Claws Mail MUA.
007 ==> 140865 : RAWConverter : Plugin does not work (image can not be converted).
008 ==> 141528 : JPEGLossLess : Remove confirmation dialog for image rotate.
009 ==> 141530 : JPEGLossLess : Use Rotate left/right instead of degrees.
010 ==> 142848 : GPSSync      : Timezone needs to go to GMT +13.
011 ==> 140297 : GPSSync      : GPS kipi plugin truncates input coordinates, introducing inacuracy.
012 ==> 143594 : GPSSync      : Bad Interpolation in correlate gpssync.
014 ==> 139793 : GPSSync      : KML google export import.
015 ==> 142259 : GalleruExport: Export to Gallery 2.2-RC-1 fails.
016 ==> 135945 : FLickrExport : Tags with spaces are exported as multible tags.
017 ==> 146084 : SlideShow    : Slide show interface suggestions.
018 ==> 145771 : MPEGEncoder  : Gnome Desktop crashes and restarts when select Cancel option for Mpeg Slideshow plugin

v 0.1.3 
----------------------------------------------------------------------------

Kipi-plugins NEW FEATURES:

Kipi-plugins BUG FIXING from B.K.O (http://bugs.kde.org):

001 ==> 137582 : GalleryExport : Add preliminary support for Gallery 2.2 security features
002 ==> 132220 : SendImages    : Solved problems with filenames and commandline with thunderbird and mozilla

v 0.1.3 rc1
----------------------------------------------------------------------------

Kipi-plugins NEW FEATURES:

Slideshow      : Show image comments (configurable)


Kipi-plugins BUG FIXING from B.K.O (http://bugs.kde.org):

001 ==> 138410 : General     : kipi-plugins-0.1.3-beta1 requires latest libkipi/libkexif.
002 ==> 106133 : Slideshow   : Show image comments in slideshow mode.
003 ==> 124057 : SendImages  : Problems sending jpeg-pictures from digiKam using the "send picture"-feature.
004 ==> 108147 : Slideshow   : Interval below 1 second.

v 0.1.3 beta1
----------------------------------------------------------------------------

Kipi-plugins NEW FEATURES:

New Plugin    : MetadataEdit : New kipi plugin to edit EXIF and IPTC pictures metadata (by Gilles Caulier).
New Plugin    : GPSSync      : New kipi plugin to sync photo metadata with a GPS device (by Gilles Caulier).
New Plugin    : IpodExport   : New kipi plugin to export pictures to an ipod device (by Seb Ruiz).

GalleryExport : Support for multiple galleries.

HTMLExport    : New "s0" theme from Petr Vanek

JPEGLossLess  : Removed libmagic++ depency.
JPEGLossLess  : Removed libkexif depency. Using Exiv2 instead.

RAWConverter  : New core to be compatible with recent dcraw release. A lot 
                of RAW decoding settings have been added.
RAWConverter  : Embedding ouput color space in target image (JPEG/PNG/TIFF).
RAWConverter  : Metadata preservation in target image during Raw conversion (JPEG/PNG).
RAWConverter  : Removing external dcraw depency. Now plugin include a full supported version of 
                dcraw program in core.
RAWConverter  : updated dcraw.c implementation to version 8.41.

SendImages    : Added image size limit x mail (Michael H�hstetter)
 
TimeAdjust    : Removed libkexif depency. Using Exiv2 instead.
TimeAdjust    : New option to customize Date and Time to a specific timestamp.
TimeAdjust    : New options sync EXIF/IPTC Creation Date with timestamp.


Kipi-plugins BUG FIXING from B.K.O (http://bugs.kde.org):

001 ==> 127101 : BatchProcess : expand sequence number start value in batch rename images.
002 ==>  94494 : GalleryExport: support for multiple galleries.
003 ==> 128394 : RAWCanverter : convertion of RAW files fails with dcraw 8.21
004 ==> 132659 : FlickrExport : "Missing signature" - Flickr API changed and upload of 
                                images is no longer possible.
005 ==> 107905 : RAWConverter : copy exif data from raw to converted images.
006 ==> 119537 : JPEGLossLess : Exif width and height are not corrected after lossless rotation.
007 ==> 91545  : Slideshow    : plugin does nothing if an album only contains subalbums, but no 
                                images directly or is empty.
008 ==> 134749 : GPS Sync     : altitude shown is wrong.
009 ==> 134298 : SimpleViewer : save settings / keep settings missing!
010 ==> 134747 : GPS Sync     : not optimal correlation.
011 ==> 135157 : GPS Sync     : warning about changes not applied always appear even when already applied.
012 ==> 135237 : GPS Sync     : filenames with multiple periods in them do not show up in the file 
                                listing (incorrect extension identification).
013 ==> 135484 : GPS Sync     : thumbnail generation for multible images can cause severe overload.
014 ==> 135353 : GPS Sync     : the name of the plugin is missleading.
015 ==> 136257 : MetadataEdit : Editing the EXIF-data overwrites all the data for selected files.
016 ==> 128341 : HTMLExport   : kipi html export should not resize images if "resize target images" 
                                is not checked.
017 ==> 127476 : PrintWizard  : Printing as very very slow (added a workaround running kjobviewer)
018 ==> 136941 : BatchProcess : graphical picture ordering and renaming.
019 ==> 136855 : MetadataEdit : Editing metadata on a few selected imagefiles and clicking forward 
                                or apply crashes digiKam.
020 ==> 135408 : BatchProcess : Window does not fit on screen.
021 ==> 117399 : BatchProcess : Usability of Target folder.
022 ==> 137921 : MetadataEdit : wrong country code in IPTC.

v 0.1.2       
----------------------------------------------------------------------------

Compilation fix release.

v 0.1.1       
----------------------------------------------------------------------------

Compilation fix release.

v 0.1.0       
----------------------------------------------------------------------------

Kipi-plugins NEW FEATURES:

GalleryExport : added Gallery 2 version support.
ImageGallery  : removed is removed and replaced by HTML export plugin.

Kipi-plugins BUGFIX from B.K.O (http://bugs.kde.org):

001 ==> 117105 : Calendar      : Calendar tool should use internationalized country setting.
002 ==> 101656 : CDArchive     : Use irretating filenames foo.jpeg.jpeg for images.
003 ==> 128125 : CDArchive     : Album title from digikam are not converted into html entities.
004 ==> 123978 : GalleryExport : "Invalid response" error when exporting images to Gallery 1.5.2.
005 ==> 96352  : GalleryExport : Can not login into Gallery2.
006 ==> 123141 : GalleryExport : Gallery Export - manage several cookies.
007 ==> 88887  : HTMLExport    : No Exif-rotation in HTML export.
008 ==> 115474 : HTMLExport    : Web export creats duplicate extensions.
009 ==> 120739 : HTMLExport    : Wrong thumbnail for album.
010 ==> 89068  : HTMLExport    : Improvement for the HTML export plugin.
011 ==> 90943  : HTMLEXPORT    : Add CSS functionality.
012 ==> 95116  : HTMLEXPORT    : Incremental local export or other easy web publishing method.
013 ==> 96009  : HTMLEXPORT    : Unnecessary deletion of directories in "export HTML" .
014 ==> 96363  : HTMLEXPORT    : Option to save full/different sized images in gallery.
015 ==> 107380 : HTMLEXPORT    : Split long html pages by number of images per page.
016 ==> 108696 : HTMLEXPORT    : Themable html export.
017 ==> 109708 : HTMLEXPORT    : Number of thumbnails per row should be in the same tab as size of thumbnail.
018 ==> 109709 : HTMLEXPORT    : Create target dir when it does not exist.
019 ==> 109710 : HTMLEXPORT    : Make clicking on image going to the next image.
020 ==> 111136 : HTMLEXPORT    : export to non-local directory (fish://) does not work.
021 ==> 111509 : HTMLEXPORT    : Subalbums not supported by HTML export.
022 ==> 111880 : HTMLEXPORT    : New option to add original image (as link in thumbnail).
023 ==> 112107 : HTMLEXPORT    : Avi files in html exports.
024 ==> 113355 : HTMLEXPORT    : Add auto-forwarding (slide show) to HTML-Export.
025 ==> 127219 : MPEGEncoder   : Creation of mpeg slide show fails.
026 ==> 127532 : MPEGEncoder   : 'image2mpg' wrong directory error.
027 ==> 101455 : RAWConverter  : Make it possible to enter numbers with 2 digit precision in RAW converter dialog.

v0.1.0-rc2    
----------------------------------------------------------------------------

Kipi-plugins NEW FEATURES:

New Plugin     : HTMLExport   : new images gallery export supporting XHTML and CSS (by Aurelien Gateau).
New Plugin     : SimpleViewer : new plugin to export to flash web page (by Joern Ahrens)

Kipi-plugins BUGFIX from B.K.O (http://bugs.kde.org):

001 ==> 120242 : HTMLExport   : Bad sorting of images in html export.
002 ==> 112025 : HTMLExport   : digiKam overwrites albums previously exported to HTML.
003 ==> 106152 : HTMLExport   : Creates faulty links when choosing picture filenames derived from the EXIF info.
004 ==> 119933 : HTMLExport   : Image gallery has problems with german umlauts in file-/directorynames.
005 ==> 99418  : HTMLExport   : Help menu in progress dialog refers to batch process plugin about instead of image gallery plugins.
006 ==> 103449 : HTMLExport   : Title and name of album are together and album with accents do not function.
007 ==> 110596 : HTMLExport   : Apos entitity is not correct for HTML (it is XML entity).
008 ==> 116605 : HTMLExport   : Crash when exporting to an existing dir an choosing no to overwrite.
009 ==> 123499 : JPEGLossLess : RAW images are rotated wrong.
010 ==> 99157  : KameraKlient : Some kameraklient source files miss copyright and license info.
011 ==> 98286  : PrintWizard  : Print Wizard has wrong default paper size.
012 ==> 101495 : PrintWizard  : Raster effect on printout.
013 ==> 117670 : PrintWizard  : Printing is awfully slow.
014 ==> 108945 : BatchProcess : Batch image filtering overwrite mode: always overwrite doesn't work.
015 ==> 117397 : BatchProcess : batchplugins 'start' not disabled when target folder is not writeable orwith no image in list.
016 ==> 114512 : BatchProcess : The checkbox "Remove original" is left disabled after a preview.
017 ==> 120868 : Calendar     : Failed to create PDF callendar
018 ==> 118936 : calendar     : kipi calendar wizard should default to next year.
019 ==> 109739 : MpegEncoder  : yuvscaler error in digikam.
020 ==> 114514 : MpegEncoder  : Do not delete the temporary folder "~/tmp/kde-user/kipi-mpegencoderplugin-PID/" after 
                                each encoding process.
021 ==> 114515 : MpegEncoder  : Verify the existence of the MPEG output file path and the existence of the audio input file 
                                before launching the encoding process.
022 ==> 114519 : AcquireImage : Crash when stopping a Final Scan.
023 ==> 103763 : RAWConverter : Rawconverter (single) should fill a default file name into the save as dialog.
024 ==> 118407 : RAWConverter : dcrawprocess.cpp does not compileon Solaris
025 ==> 119562 : SendImages   : A patch that adds support for the Sylpheed-Claws mua.
026 ==> 119867 : Slideshow    : Different icon types used by slideshow for for backwards/forwards.

v0.1.0-rc1    
----------------------------------------------------------------------------

Kipi-plugins NEW FEATURES:

New Plugin     : FlickrExport : new plugin to upload pictures on Flickr web service (by Vardhman Jain).

SendImages     : support for Thunderbird and GmailAgent.
Calendar       : The weekdays are now localized.
HTMLExport     : Export multiple tags to an html-page.
JPEGLossLess   : Rotate or flip your images lossless, while preserving  the timestamp.
RAWConverter   : Supports of dcraw>=6.x.

Kipi-plugins BUGFIX from B.K.O (http://bugs.kde.org):

001 ==> 108227 : SendImages   : Thunderbird will not open when sending emails in digiKam.
002 ==> 98269  : CDArchive    : Status bar in archive to CD/DVD goes to 100% while creating thumbs.
003 ==> 89394  : CDArchive    : Make CDArchivingplugin work when ImageCollection!=Folder.
004 ==> 91651  : CDArchive    : Running cdarchiving plugin from kimdaba sends all images to the cd, not just the selected images.
005 ==> 100877 : CDArchive    : kimdaba can not create temporary directories for CD-archive.
006 ==> 110391 : BatchProcess : Batch rename removes tags and comments.
007 ==> 110659 : BatchProcess : Batch rename function makes copies instead of renaming.
008 ==> 110698 : TimeAdjust   : Adjust time and date does not work.
009 ==> 110575 : BatchProcess : Crash when renaming images.
010 ==> 99895  : BatchProcess : Rename ordered by modification date sorts by name.
011 ==> 104032 : BatchProcess : Renaming images takes a lot memory and time.
012 ==> 105727 : BatchProcess : digiKam adds to the first picture an additional "_1".
013 ==> 110508 : BatchProcess : Umlauts-conversion error when renaming images.
014 ==> 104511 : BatchProcess : Why a destination path for a rename action ? "No valid URL" when blank.
015 ==> 102219 : HTMLExport   : When you export html from a tags gallery links are incorrect.
016 ==> 98199  : HTMLExport   : Missing whitespace in german html-export (headline).
017 ==> 108537 : JPEGLossLess : Plugin change file date/time. Could this be made optional since I want to keep 
                                the original file date/time.
018 ==> 101110 : MPEGEncoder  : Cannot create MPEG from photos using transitions.
019 ==> 103282 : Slideshow    : No exif-rotation.

